Bug 1273376 - OVF file is removed for any given VM when only a direct LUN disk is attached to it
Summary: OVF file is removed for any given VM when only a direct LUN disk is attached ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.1
: 3.6.1
Assignee: Maor
QA Contact: Eyal Shenitzky
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 10:28 UTC by Gilad Lazarovich
Modified: 2016-06-23 04:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: VM with LUN disk was not registered as part of the recovery OVF_STORE disk Consequence: Once a setup has been destroyed, a VM with only LUN disk could not be recovered. Fix: Make VM with LUN disks also part of the OVF_STORE disk. Result: VM with LUN disks are part of the OVF_STORE disk.
Clone Of:
Environment:
Last Closed: 2015-12-16 12:20:13 UTC
oVirt Team: Storage
tnisan: ovirt-3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
engine and vdsm logs showing VM OVF being removed when VM only has an attached direct LUN (940.30 KB, application/x-gzip)
2015-10-20 10:28 UTC, Gilad Lazarovich
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 47649 0 master MERGED core: OVF_STORE disk should contain VMs with Lun disks. Never
oVirt gerrit 47709 0 ovirt-engine-3.6 MERGED core: OVF_STORE disk should contain VMs with Lun disks. Never

Description Gilad Lazarovich 2015-10-20 10:28:41 UTC
Created attachment 1084674 [details]
engine and vdsm logs showing VM OVF being removed when VM only has an attached direct LUN

Description of problem:
OVF file is removed for any given VM when only a direct LUN disk is attached to it

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with no disks, ensure that the VM's OVF file is created on all domains
2. Add a direct LUN disk to the VM, check on the VM's OVF file

Actual results:
The VM's OVF file is removed from all domains

Expected results:
The OVF file is expected to stays in place, as it does with shareable disks, the direct LUN disk alias shouldn't be included within the VM's OVF file

Additional info:
Please find the attached VDSM (SPM) and engine logs

Comment 1 Yaniv Lavi 2015-10-29 12:46:53 UTC
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.

Comment 2 Eyal Shenitzky 2015-12-08 13:34:02 UTC
 Verified on:
-------------

vdsm-4.17.12-0.el7ev.noarch
rhevm-3.6.1.1-0.1.el6

The OVF file stays in place and isn't removed from all domains.

Comment 3 Sandro Bonazzola 2015-12-16 12:20:13 UTC
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.


Note You need to log in before you can comment on or make changes to this bug.